Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent.std.ui
Class AttrUI

    java.lang.Object
      multivalent.VObject
          multivalent.Behavior
              multivalent.std.ui.AttrUI

Direct Known Subclasses:
  NotemarkUI

public class AttrUI
extends Behavior

For now, toggles preference. Later: other values (in cascade?), ... TO DO: assignable default (now set to "on"), should rename to "toggleAttrUI" or make more general, need counterpart for window variables

Version:
  $Revision: 1.2 $ $Date: 2002/02/01 07:59:06 $
See Also:
  `SemanticEvent`, `SemanticUI`

Field Summary
`static java.lang.String` | `ATTR_CATEGORY` Hub attribute that sets category group within menu.
`static java.lang.String` | `ATTR_PARENT` Hub attribute that gives menu (`createWidget/parent`).
`static java.lang.String` | `ATTR_SCRIPT` Hub attribute to set `VScript` script to execute when widget is activated.
`static java.lang.String` | `ATTR_TITLE` Hub attribute that gives text to show in menu.
`static java.lang.String` | `ATTR_VARIABLE` Hub attribute that sets category group within menu.
`static java.lang.String` | `MSG_TOGGLE_VAR` Toggle variable between true and false.

Fields inherited from class multivalent.Behavior
`ATTR_BEHAVIOR, name_`

Fields inherited from class multivalent.VObject
`attr_`

Constructor Summary
`AttrUI()`

Method Summary
`void` | `restore(ESISNode n, java.util.Map<java.lang.String,java.lang.Object> attr, Layer layer)` Takes the place of a constructor's initialization functions; that is, it is invoked exactly once immediately after object instantiation.
`boolean` | `semanticEventAfter(SemanticEvent se, java.lang.String msg)` Round robin distribution to all behaviors.
`boolean` | `semanticEventBefore(SemanticEvent se, java.lang.String msg)` Round robin distribution to all behaviors.

Methods inherited from class multivalent.Behavior
`buildAfter, buildBefore, checkRep, clipboardAfter, clipboardBefore, createUI, destroy, eventAfter, eventBefore, formatAfter, formatBefore, getBrowser, getDocument, getInstance, getInstance, getLayer, getLogger, getName, getPreference, getRoot, isEditable, paintAfter, paintBefore, putPreference, redo, restoreChildren, save, setName, toString, undo`

Methods inherited from class multivalent.VObject
`attrEntrySetIterator, attrKeysIterator, clearAttributes, getAttr, getAttr, getAttributes, getGlobal, getValue, hasAttributes, putAttr, removeAttr, setAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MSG_TOGGLE_VAR

    public static final java.lang.String MSG_TOGGLE_VAR

  Toggle variable between true and false.

  `"toggleVariable"`: `arg=` `String` variable-name.

  See Also:
    Constant Field Values

### ATTR_PARENT

    public static final java.lang.String ATTR_PARENT

  Hub attribute that gives menu (`createWidget/parent`).

  See Also:
    Constant Field Values

### ATTR_TITLE

    public static final java.lang.String ATTR_TITLE

  Hub attribute that gives text to show in menu.

  See Also:
    Constant Field Values

### ATTR_CATEGORY

    public static final java.lang.String ATTR_CATEGORY

  Hub attribute that sets category group within menu.

  See Also:
    Constant Field Values

### ATTR_VARIABLE

    public static final java.lang.String ATTR_VARIABLE

  Hub attribute that sets category group within menu.

  See Also:
    Constant Field Values

### ATTR_SCRIPT

    public static final java.lang.String ATTR_SCRIPT

  Hub attribute to set `VScript` script to execute when widget is activated.

  See Also:
    Constant Field Values

Constructor Detail

### AttrUI

    public AttrUI()

Method Detail

### semanticEventBefore

    public boolean semanticEventBefore(SemanticEvent se,
                                       java.lang.String msg)

  Description copied from class: `Behavior`
  Round robin distribution to all behaviors. Message and clientData unpacked from SemanticEvent for convenience. Message is interned, so if you compare to a literal, you can use "==". Message can't be changed (it can be short-circuited out of), but client data can be mutated as it is passed along (so it's not passed as a parameter).

  Overrides:
    `semanticEventBefore` in class `Behavior`

### semanticEventAfter

    public boolean semanticEventAfter(SemanticEvent se,
                                      java.lang.String msg)

  Description copied from class: `Behavior`
  Round robin distribution to all behaviors. Message and clientData unpacked from SemanticEvent for convenience. Message is interned, so if you compare to a literal, you can use "==". Message can't be changed (it can be short-circuited out of), but client data can be mutated as it is passed along (so it's not passed as a parameter).

  Overrides:
    `semanticEventAfter` in class `Behavior`

### restore

    public void restore(ESISNode n,
                        java.util.Map<java.lang.String,java.lang.Object> attr,
                        Layer layer)

  Description copied from class: `Behavior`
  Takes the place of a constructor's initialization functions; that is, it is invoked exactly once immediately after object instantiation. When restored from hub, passed XML content subtree if any as first parameter and attributes from XML tag's attributes. This protocol cannot be short-circuited.

  Overrides:
    `restore` in class `Behavior`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD